/*
 * FueraRangoLongitudSAT.java
 *
 * Created on 13 de marzo de 2007, 10:36 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class FueraRangoLongitudSAT extends AbstractRule {

	/** Creates a new instance of LongitudIncorrectaObligatorio */
	public FueraRangoLongitudSAT() {
	}

	public boolean performValidation(String field, String registro[], String nombreArchivo) {

    /*aqui*/   
    Integer valor1 = new Integer((String) getParams()[0]).intValue();
    Integer valor2 = new Integer((String) getParams()[1]).intValue();
    String cadena = nombreArchivo.substring(valor1.intValue() - 1, valor1.intValue() + valor2 - 1);
    
    
    
    /*aqui*/  

    int minima = new Integer((String) getParams()[2]).intValue();
    int maxima = new Integer((String) getParams()[3]).intValue();
    /*aqui*/   

   if (!"MSPS01".equals(cadena)) { 
        } else { 
      if (field.isEmpty()) { 
        return false; 
        } else {  
            /*aqui*/   

            if (field.length() < minima || field.length() > maxima) {
                return true;
            }
            return false;

        }
   }
        return false; 
    }
        }

